Bug 711780 - Zoneminder Fails to start due to an error in Mapped.pm
Summary: Zoneminder Fails to start due to an error in Mapped.pm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zoneminder
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Martin Ebourne
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-08 13:22 UTC by Brent
Modified: 2011-10-06 00:05 UTC (History)
5 users (show)

Fixed In Version: zoneminder-1.24.4-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 00:05:16 UTC
Type: ---


Attachments (Terms of Use)
Mapped.pm patch (484 bytes, patch)
2011-07-02 02:05 UTC, MarcoP
no flags Details | Diff

Description Brent 2011-06-08 13:22:26 UTC
Description of problem:

Zoneminder fails to start with errors about BARE Words not being allowed when strict_subs is enabled.

Version-Release number of selected component (if applicable):

zoneminder-1.24.3-4.20110324svn3310.fc15.i686

How reproducible:

Everytime you try and start the zoneminder services

Steps to Reproduce:
1. Install
2. Try to start
  
Actual results:


Expected results:


Additional info:

I was able to get it to start with this change in Mapped.pm

91c91
<         my $mmap_addr = mmap( $mmap, $size, *PROT_READ|*PROT_WRITE, *MAP_SHARED, \*MMAP );
---
>         my $mmap_addr = mmap( $mmap, $size, PROT_READ|PROT_WRITE, MAP_SHARED, \*MMAP );

Comment 1 John Ellson 2011-07-02 01:50:23 UTC
Me too.  But note that the above diff is given backwards.

( when generating patches, always use:  diff -u oldfile newfile )


I don't know enough perl to know if it is the right fix, but it seems to work for me..

Comment 2 MarcoP 2011-07-02 02:05:11 UTC
Created attachment 510958 [details]
Mapped.pm patch

This seems to fix it. Thanks Brent.

Comment 3 Egon Kastelijn 2011-08-13 20:13:26 UTC
Hi,

Thnx Brent.
Your fix works.

kind regards,

   Egon

Comment 4 Fedora Update System 2011-09-16 00:26:19 UTC
zoneminder-1.24.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zoneminder-1.24.4-3.fc15

Comment 5 Jason Tibbitts 2011-09-16 00:57:23 UTC
For the record, the problem here was a patch to remove the import of Sys::Mmap.  Back when the code wasn't called and perl-Sys-Mmap wasn't in the distribution, this made sense but obviously doesn't work out well now.

The fix was simply to stop applying that patch.  Sorry it took so long for someone to figure that out.

The version in testing is actually running on a server here with no problems.

Comment 6 Fedora Update System 2011-09-18 00:59:32 UTC
Package zoneminder-1.24.4-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zoneminder-1.24.4-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/zoneminder-1.24.4-3.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-10-06 00:05:16 UTC
zoneminder-1.24.4-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.